## General
- 2. Softwareebene nach Firmware, vor Bootloader und OS
- Initialisierung der Hardware
- Funktionalitäts- und Kompatibilitätscheck der Hardware
- Laden und Starten des Bootloaders
- Hardware Konfiguration
- CPU Microcode Updates
- Minimale API für Hardware-Zugriff
## BIOS
- BIOS / Basic Input/Output System
- Nur MBR
- 8 / 16 Bit
- Assembly
- Jeder sein eigenes
- Keine modernen OS (außer Linux)
## UEFI
- UEFI / Unified Extensible Firmware Interface
- Nachfolger von BIOS
- MBR & GPT
	- MBR
		- Master Boot Record
		- nur erster Sektor
		- Partitionstabelle
		- Anweisungen um Bootloader zu starten
		- Max 2TB Partitionsgröße
	- GPT
		- GUID Partition Table
		- Max 8ZiB Partitionsgröße (2^64 * 512Byte Sektorgröße)
		- MBR in ersten Sektor
		- Grobe Definition der Partitionen
		- Genaue Details der Partitionen
- 32 / 64 Bit
- C
- Meisten die gleiche Basis
- Intel ~1998 für Itanium entwickelt um Bios zu ersetzen
	- 1990 Itanium, mit Bios unzufrieden
	- 1998 Intel Boot Initiative
	- 2004 Tiano (OSS UEFI)
	- 2005 UEFI Spec an UEFI Forum übergeben
- Boot & Runtime Services
	- Boot services nur für Firmware und bevor OS (Beendet durch `ExitBootServices()`)
- Backwards Compatibility via CSM (Compatibility Support Module)
- Viele mittlerweile wichtige Features, z.B. Secure Boot
- Stark verbessertes UI